%{?nodejs_find_provides_and_requires}

%global commit 554a2b34035148fb0aa3fd187658fda5ec10f297
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           nodejs-http-signature
Version:        1.0.2
Release:        1%{?dist}
Summary:        Reference implementation of Joyent's HTTP Signature Scheme
BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

Group:          System Environment/Libraries
License:        MIT
URL:            https://github.com/joyent/node-http-signature
Source0:        http://registry.npmjs.org/http-signature/-/http-signature-%{version}.tgz
#grab the tests from github
Source1:        https://github.com/joyent/node-http-signature/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-devel

#for tests
#BuildRequires:  npm(tap)
BuildRequires:  npm(node-uuid)
BuildRequires:  npm(assert-plus)
BuildRequires:  npm(asn1)
BuildRequires:  npm(ctype)

%description
nodejs-http-signature is a node.js library that has client and server components 
for Joyent's HTTP Signature Scheme.

%prep
%setup -q -n package -a1

%nodejs_fixdep assert-plus '~0.1.2'
%nodejs_fixdep ctype '~0.5.3'
%nodejs_fixdep asn1 '~0.1.11'

#move tests into regular directory
mv node-http-signature-%{commit}/test .
rm -rf node-http-signature-%{commit}

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/http-signature
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/http-signature

%nodejs_symlink_deps

%check
#%%nodejs_symlink_deps --check
#%%tap test/*.js

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/http-signature
%doc LICENSE README.md http_signing.md

%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.2-1
- Update to upstream 1.0.2 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.0-3
- restrict to compatible arches

* Fri Jun 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.0-2
- grab tests from GitHub
- relax dependency on npm(asn1)

* Thu Jun 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.10.0-1
- initial package
